Page MenuHomePhabricator

Settle on a suitable name for the DOM library
Closed, ResolvedPublic

Description

@jlinehan's prototype uses the DOMOperator github repo ( https://github.com/linehan/DOMOperator ).

This task is for a quick bikeshed and decision about what this DOM library should be called. This should probably be one of the first tasks we should resolve.

Event Timeline

ssastry triaged this task as High priority.Dec 2 2020, 5:56 PM
ssastry created this task.

I'm boring. I suggested \Wikimedia\DOM\Document, and calling it just the "Wikimedia DOM library" or something like that.

@Arlolra had a more clever idea, which I'll let him relate.

@Arlolra had a more clever idea, which I'll let him relate.

Clever is a bit of a reach, my suggestions where "Little Caesars" or "Dodo" from,
https://en.wikipedia.org/wiki/List_of_pizza_chains#International_chains

Legoktm added a subscriber: Legoktm.Dec 7 2020, 7:30 PM

@Arlolra had a more clever idea, which I'll let him relate.

Clever is a bit of a reach, my suggestions where "Little Caesars" or "Dodo" from,
https://en.wikipedia.org/wiki/List_of_pizza_chains#International_chains

I thought it was very clever. I like pizza names, especially "Dodo" which will retain tab-complete muscle memory from Domino.

jlinehan added a comment.EditedDec 7 2020, 7:45 PM

I also independently wrote down 'dodo' while scribbling down some ideas, so I must support it (I wasn't aware of the pizza connection, however). It's short, and my thought was that since the poor dodo is caricatured as a somewhat unsophisticated animal, and this library is similarly trying to be unsophisticated (for now), it does kind of convey the right meaning.

I suppose we've got a name then! DoDo also is a good standin for DomDocument. So, that is that then! :-)

cscott added a comment.Dec 7 2020, 9:18 PM

\Wikimedia\DoDo\Document ? Or \Wikimedia\DODO\Document?

Or ..\Dodo\.. is my pref.

Addendum: I'll note however that eventually ppl. may forget the domino and pizza references in case that changes anyone's mind.

jlinehan added a comment.EditedDec 8 2020, 6:16 PM

..\Dodo\.. is my pref.

Second this.

When we feel like we've converged on something, I can put in a request to get the repo migrated to gerrit (T257669), and give it whatever name we've decided.

+1 to the capitalization of "Dodo".

Addendum: I'll note however that eventually ppl. may forget the domino and pizza references in case that changes anyone's mind.

We'll have to mention it in the README and need a pizza-inspired logo then :)

I'll wait till Friday morning (CST) to see if there are any other thoughts or suggestions and resolve this at that point.

ssastry closed this task as Resolved.Dec 14 2020, 7:03 PM
ssastry claimed this task.

Dodo it is. The README should probably have a small note about the naming.

\Wikimedia\DoDo maybe? Makes "DOm DOcument" clearer? OTOH, maybe reads as the repeated imperative "do do" instead of the bird.